%define name	rpmproc
%define version	2.1.0
%define release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl script to help manage and build RPM packages
License:	GPL
Group:		Development/Other
URL:		http://rpmproc.sourceforge.net
Source:		%{name}-%{version}.tar.bz2
Requires:	rpm-build, rpmlint
Requires:	perl-Mail-Sendmail, perl-String-ShellQuote
Requires:	perl-Net-SCP, perl-Net-SSH
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-buildroot

%description
rpmproc is a simple Perl program to help manage and build RPM packages for
those who want an easy wrapper to build RPMs.  rpmproc supports announcing
changelogs to a mailing list using either qmail or sendmail, signing RPMs,
uploading to a user-defined "contribs" site as well as uploading to a local
directory (ie. for systems that also make their RPMs available via FTP).

%prep -q
rm -rf $RPM_BUILD_ROOT
%setup

%build

%install
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}
install -m 755 rpmproc $RPM_BUILD_ROOT%{_bindir}
install -m 644 rpmproc.conf $RPM_BUILD_ROOT%{_sysconfdir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README COPYING CHANGELOG manual.html
%{_bindir}/rpmproc
%config(noreplace) %{_sysconfdir}/rpmproc.conf


%changelog
* Mon Mar 11 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.0-1mdk
- 2.1.0

* Tue Nov 27 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.10-1mdk
- 1.10
- requires rpm-build and rpmlint, not rpm

* Tue Aug 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.8-1mdk
- 1.8

* Wed May 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.7-3mdk
- fixes from Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- changed patch to modify all environment rather than individuals rpm call

* Sat May 05 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.7-2mdk
- add patch to correct locales used by changelog query

* Fri Jan 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.7-1mdk
- updated to 1.7

* Sun Aug  6 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.6-1mdk
- 1.6

* Sun Jul 30 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.5-1mdk
- 1.5
- macroization

* Sat Jun 17 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.4-1mdk
- 1.4

* Sat Jun 10 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.3-1mdk
- 1.3

* Wed Mar 10 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.2-2mdk
- fixed error in %clean

* Tue Mar 7 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.2-1mdk
- first public release
